
* {
    margin:0;
    padding:0;
}

body {
    background-color:#EDF2F7;
    font-family: 'Open Sans', sans-serif;
}

h1,h2 {
    font-family: 'Balsamiq Sans', cursive;
}

label.error {
    color: darkred;
}


header {
    width: 100%;
    height: 80px;
    background-color:brown;
    /*margin-left: 30px;
    padding-left: 30px;*//*right-top-bottom*/
    display: flex;
    justify-content: space-between;
}

header > div {
    width: 50%;
}

.contenedor_logo {
    display: flex;
    align-items: center;
}

.logo {
    width: 100px;
    margin-left: 20px;
}

nav {
    display: flex;
    justify-content: flex-end;/*flex-start - center - flex-end*/ /*horizontal*/
    align-items: center;
    height: 100%;
}

nav > ul {
    margin-right: 50px;
}

nav > ul > li {
    display: inline;
    margin-left: 10px;
}

nav a {
    color:white;
    text-decoration: none;
}

.galeria {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr;
    gap: 30px;
}

.galeria img {
    width: 100%;
    height: 200px;
    object-fit: cover;
}


/*CONTENIDO PRINCIPAL*/

#contenido {
    width: 80%;
    margin:auto;
    max-width: 1280px;
    min-height: 100vh;
}

.productos {
    display: flex;
    flex-wrap: wrap;
}

.producto {
    width: 25%;
    margin-top: 20px;
}

.producto img {
    width: 100%;
    height: 200px;
    object-fit: cover;
}

.producto .detalle {
    padding: 5px;
}

.producto .contenedor_producto {
    background-color: white;
    width: 80%;
    margin: auto;
}

/*FOOTER*/

footer {
    width: 100%;
    height: 300px;
    background-color: #2D3748;
}

footer > .marcas {
    width: 100%;
    height: 80px;
    background-color: #909397;
    display: flex;
    justify-content: space-around;
    align-items: center;
}

footer > .marcas > img {
    width: 50px;
}

footer > .logo_footer {
    display: flex;
    justify-content: center;
    align-items: center;
    height: calc(100% - 80px);/*100% - 80px*/
}

footer > .logo_footer > img {
    width: 100px;
}

.menu {
    width: 40px;
    position: absolute;
    left: 10px;
    top: 10px;
    display:none;
}

/*FIN FOOTER*/


input[type=text], input[type=email],
input[type=number], select, textarea {

    width: 100%;
    padding: 5px;

}

textarea {
    resize: none;
}

.button {
    padding:5px 10px;
    color: white;
    background-color: #2B6CB0;
    border: none;
    border-radius: 5px;
}

.formulario_contacto {
    width: 500px;
    margin-top:50px;
}


/*MEDIA QUERIES*/


/*Tablets*/
@media (max-width: 1024px) {
    .galeria {
        grid-template-columns: 1fr 1fr;
    }
    .producto {
        width: 50%;
    }

    .formulario_contacto {
        width: 100%;
    }
}

/*Smartphone*/
@media (max-width: 480px) {

    .galeria {
        grid-template-columns: 1fr;
    }

    .menu {
        display:block;
    }

    @keyframes animacion_producto_mobile {
        0% {
            transform: scale(0.1); /*0-1*/
            /*opacity: 0 - 1*/
        }

        80% {
            transform: scale(1.1);
        }

        100% {
            transform: scale(1);
        }
    }

    .producto {
        width: 100%;
        animation: animacion_producto_mobile 0.8s;
    }

    header {
        flex-direction: column;
        height: 60px;
        overflow: hidden;
        transition: all 0.6s;
       
        
    }
    #contenido {
        margin-top: 60px;
    }

    header > div {
        width: 100%;
    }

    .contenedor_logo {
        justify-content: center;
        margin-top:10px;
    }

    nav {
        justify-content: center;
    }

    nav > ul {
        margin:0;
    }

    nav > ul > li {
        display: block;
        margin:0;
        text-align: center;
        padding:20px 0;
    }

}
